Skip to main content
GET
/
beacon
/
deposits
Lists all beacon deposits
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/beacon/deposits?apikey='
{
  "items": [
    {
      "amount": "<string>",
      "block_hash": "<string>",
      "block_number": 123,
      "block_timestamp": "2023-11-07T05:31:56Z",
      "from_address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "index": 123,
      "pubkey": "<string>",
      "signature": "<string>",
      "status": {
        "finished_past_indexing": true
      },
      "transaction_hash": "<string>",
      "withdrawal_credentials": "<string>",
      "withdrawal_address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      }
    }
  ],
  "next_page_params": {
    "index": 123,
    "items_count": 50
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

index
integer

Deposit index for paging

Required range: 0 <= x <= 9223372036854776000
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

List of Beacon Deposits, with pagination.

items
Deposit · object[]
required
next_page_params
object
required
Example:
{ "index": 123, "items_count": 50 }